[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Ensuring complete upgrades in applications with multiple binary packages

On Tue, May 15, 2007 at 04:28:39PM +0200, Frank Küster wrote:
> B. texlive-common could declare 

> Conflicts: <long_list_of_texlive_packages_each_with_old_upstreamversion>

>    But how would that work upon upgrade?

Very, very poorly.  Versioned conflicts are advocated against in Policy 7.3,
because the package manager will often find it easier to remove the old
version of the package than to upgrade it to a version that's acceptable. 
These sorts of conflicts seem to always be a major source of pain for
non-interactive dist-upgrades.

Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/

Reply to: